#ifndef _OrxoBloxWall_H__
#define _OrxoBloxWall_H__


#include "worldentities/StaticEntity.h"
#include "tools/Timer.h"

namespace orxonox
{

    /**
    @brief

    @author

    @ingroup OrxoBlox
    */
    class _OrxoBloxExport OrxoBloxWall : public StaticEntity
    {
        public:
            OrxoBloxWall(Context* context); //!< Constructor. Registers and initializes the object.
            virtual ~OrxoBloxWall() {}
             //   this.destroy();
            //}

            /**
            @brief Set the Health of the stone.
            @param size The dimensions a stone has in the game world. (A stone is a cube)
            */
            void setHealth(unsigned int health)
                { 
                    this->health_ = health; 
                }
            /**
            @brief Get the size of the stone.
            @return Returns the dimensions a stone has in the game world. (A stone is a cube)
            */
            unsigned int getHealth(void) const
                { return this->health_; }

            void gotHit(){
                if (this->health_ > 0){
                    this->health_ -= this->health_; 
                    }
                //  else ~OrxoBloxStones();
                }
            void setGame(OrxoBlox* orxoblox)
                { assert(orxoblox); orxoblox_ = orxoblox; }
        private:
            OrxoBlox* getOrxoBlox();
            unsigned int health_;
            bool delay_;
            OrxoBlox* orxoblox_;
            

    };
}

#endif /* _OrxoBloxWall_H__ */